
QGIS Application - Bug report #1302

Impossible to add more than 128 rasters in OSX

2008-09-08 02:12 AM - poupou -

Status: Closed

Priority: Low

Assignee:

Category: Rasters

Affected QGIS version:master Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 11362

Description

1. Add more than 128 rasters (all together or one by one)

2. QGIS send a error:

/Volumes/.../komb1215.tif is not a supported raster data source

TIFFOpen: /Volumes/.../komb1215.tif: Too many open files

See also http://lists.osgeo.org/pipermail/qgis-user/2008-June/002936.html

Related issues:

Duplicated by QGIS Application - Bug report # 4949: Limited no. of raster in ... Closed 2012-02-05

History

#1 - 2008-09-08 02:22 AM - Jürgen Fischer

- Status changed from Open to Closed

- Resolution set to invalid

Sounds like an OS restriction to me. On Linux I'd inspect the setting of ulimit -n and raise it. Looks like OSX has a similar setting:  

http://kasei.com/pipermail/plucene/2004-March/000089.html

#2 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted

#3 - 2012-02-05 11:22 AM - Jürgen Fischer

- Pull Request or Patch supplied set to No

- Assignee deleted (nobody -)

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

Jürgen Fischer wrote:

Sounds like an OS restriction to me. On Linux I'd inspect the setting of ulimit -n and raise it. Looks like OSX has a similar setting:  

http://kasei.com/pipermail/plucene/2004-March/000089.html

That link is broken.  http://usrinapto.wordpress.com/2010/03/06/mac-os-x-10-6-max-open-files-too-many-open-files/ has another description how to
increase the open file limit on OSX.

#4 - 2012-02-07 01:03 AM - bradypus -

It work wonderfully!
